/********************************************************************/

#include <eZ8.h>
#include "servo.h"
#include "gpio.h"
#include "timer.h"

// Default user flash optionbits.
FLASH_OPTION1 = 0xFF;
FLASH_OPTION2 = 0xFF;

///////////////////////////////////////////////////////
// Global - Variable

char	subtmr=10;
unsigned char	t1=0;
unsigned char	t2=0;
unsigned char	t3=0;
unsigned char	t4=0;
unsigned char	t5=0;
int		lt1;


void	idle(unsigned char);

////////////////////////////////////////////////////////
// Main program begins here 


void main ()
{	
	init_gpio();				// Initialize I/O Ports
	DI();							// Disable Interrupts
 	init_timer0();					// Intialize Timer-0
	EI();							// Enable Interrupts

// allow the servo driver time to wake up
	idle(10);				// do nothing for 1 sec

	servo_ON(1);			// Turn ON servo output

// This demo program scan 5 active low inputs, PA3 to PA7
// The servo will rotate at an angle according to the activated input 
	while(1)
	{
		if((PAIN & 0x80)==0) move(1,-90,1);		// If PA7, rotate -90 degrees position
		if((PAIN & 0x40)==0) move(1,-45,1);		// If PA6, rotate -45 degrees position
		if((PAIN & 0x20)==0) move(1,0,1);		// If PA5, rotate 0 degrees position
		if((PAIN & 0x10)==0) move(1,45,1);		// If PA4, rotate 45 degrees position
		if((PAIN & 0x08)==0) move(1,90,1);		// If PA3, rotate 90 degrees position
	}


}	// End of main program

void	idle(unsigned char delay)
{
	t1=delay;
	while(t1);
}

