//*********************************************************
// Servo Robot Timer Functions
// e-Gizmo Mechatronics Central


#include <eZ8.h>

extern	char	subtmr;
extern	unsigned char	t1;
extern	unsigned char	t2;
extern	unsigned char	t3;
extern	unsigned char	t4;
extern	unsigned char	t5;
extern	int		lt1;
extern	unsigned char	ircode;
extern	unsigned char	oldir;

//////////////////////////////////////////////////////////
//10 mS and 100mS timers Interrupt routine
// This routine auto decrements 5 timers, t1 to t2
// every 100mS. Auto decrement stops for a particular
// timer once its value reaches 0
//
// Use these timers for your sequencing operation. You can add
// as many timer as you want (limited by chip memory) if these
// five are not enough to do your job.

#pragma interrupt
void isr_timer0(void) 
{
	subtmr--;					// subtmr for 100mS timing
	if(subtmr==0)				// update timer every 100mS
	{
		subtmr=10;
		if(t1>0) t1--;			// auto decrement this timer if value is not zero
		if(t2>0) t2--;			// and so on
		if(t3>0) t3--;
		if(t4>0) t4--;
		if(t5>0) t5--;
	}
}

//////////////////////////////////////////////////////////
//Intialize Timer-0 
void init_timer0(void)
{
	SET_VECTOR(TIMER0, isr_timer0); 
 	T0H		= 0x6;	// Timer High	
	T0L 	= 0xc0;	// Timer Low
	T0RH 	= 0x06;	// Reload Compare High
	T0RL 	= 0xc0;	// Reload Compare Low   10mS interval
	T0CTL 	= 0xE9;	// Continous/Prescale
	IRQ0ENH |= 0x20;	// Set Interrupt Priority Nominal 
	IRQ0ENL &= 0xDF;	// Set Interrupt Priority Nominal
}

